# Bootstrap (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.util
Class Bootstrap

    java.lang.Object
      org.newdawn.slick.util.Bootstrap

    public class Bootstrap

extends java.lang.Object

Utility class to wrap up starting a game in a single line

Author:
  kevin

Constructor Summary
`Bootstrap()`

Method Summary
`static void` `runAsApplication(Game game, int width, int height, boolean fullscreen)` Start the game as an application

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Bootstrap

    public Bootstrap()

Method Detail

### runAsApplication

    public static void runAsApplication(Game game,
                                        int width,
                                        int height,
                                        boolean fullscreen)

  Start the game as an application

  Parameters:
    `game` - The game to be started
    `width` - The width of the window
    `height` - The height of the window
    `fullscreen` - True if the window should be fullscreen

Copyright © 2006 New Dawn Software. All Rights Reserved.